View Issue Details

IDProjectCategoryView StatusLast Update
0000759GT-MP ServerPerformancepublic2018-01-07 12:08
ReporterLe ShredAssigned Toroot 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version0.1.7 
Summary0000759: Server fps fixed to 60 when async mode set
DescriptionWhen setting async to true un meta.xml, server fps in onUpdate event is fixed to 60 even is another value is set in settings.xml
Steps To Reproduceprivate DateTime LastEvaluation = DateTime.Now;
private int Ticks = 0;

public Main()
{
    API.onUpdate += OnUpdate;
}

private void OnUpdate()
{
    if (LastEvaluation.AddMilliseconds(1000) <= DateTime.Now)
    {
        API.consoleOutput("FPS: " + Ticks);
        Ticks = 0;
        LastEvaluation = DateTime.Now;
    }

    Ticks++;
}

TagsNo tags attached.

Activities

root

2017-11-26 12:25

developer   ~0001055

Fixed in new version

Issue History

Date Modified Username Field Change
2017-11-14 00:26 Le Shred New Issue
2017-11-26 12:25 root Assigned To => root
2017-11-26 12:25 root Status new => resolved
2017-11-26 12:25 root Resolution open => fixed
2017-11-26 12:25 root Fixed in Version => 0.1.6
2017-11-26 12:25 root Note Added: 0001055
2018-01-07 12:08 DurtyFree Fixed in Version 0.1.6 => 0.1.7